New features, changes and fixes in gnuplot version 4.2.6
===========================================================
* NEW xterm tektronix emulation 'set term xterm'
* FIX 'set xtics mirror' didn't work if xtics were previously unset
* FIX off-by-one pixel bug in width of boxes with palette or rgb color
* FIX center rotation of 'set view equal xyz' mode at screen center
* FIX sanity-check time ranges for axes with timeformat
* FIX pslatex blacktext and broken format specifier
* FIX PostScript code points for Lcaron, lcaron in encoding cp1250
* CHANGE If a 2D plot uses a Z-based palette, then autoscale cbrange
* CHANGE aquaterm accepts "size xx,yy" with a comma
* CHANGE Remove the EXPERIMENTAL flag from the wxt terminal
* CHANGE Remove the EXPERIMENTAL flag from the x11 terminal binary polygon mode



New features, changes and fixes in gnuplot version 4.2.5
===========================================================
* NEW ./configure --with-readline=bsd to use libedit rather than libreadline
* NEW command line option -e "command list"
* NEW 'set xtics rangelimit' allows creation of range/frame plots
* NEW "set view equal_axes xy{z}" does for 3D what "set size square" does for 2D.
* CHANGE updated svg terminal driver (back-ported from 4.3 CVS branch)
* CHANGE fillstyle empty really is consistently empty (not fill-with-background)
* CHANGE warn that some options to 'set datafile binary' are not implemented
* CHANGE handling of custom palette when postscript mode is set to "monochrome"
* CHANGE allow Z axis label in 3D plots to be rotated
* CHANGE do not save or restore axis tick labels that were read from a data file
* FIX interpolatation for pm3d surfaces given by both z and colour coordinates
* FIX infinite loop if axis tick increment is on the order of machine precision
* FIX initialize x11 enhanced text mode to use most recently requested font 
* FIX emf handling of enhanced text at non-zero angle
* FIX 3D plots with fixed zrange were clipping against xmax rather than zmax
* FIX handling of uninitialized variables in fit "via" command
* FIX pm3d depthorder was ignoring interpolation setting
* FIX assignment of fill patterns to boxes in columnstacked histograms
* FIX Reserve room for user tic labels even if the format for autoticks is ""
* FIX bug in 4.2.4 that gave twice the requested left/right margin width



New features, changes and fixes in gnuplot version 4.2.4
===========================================================
* NEW add support for enhanced text mode in the emf terminal driver
* NEW builtin functions 'strftime' and 'strptime'
* NEW set absolute plot margins in screen coordinates
* NEW "nocontours" keyword for splot
* NEW "undefine foo" clears previously defined user variable foo
* NEW allow contouring of pm3d surfaces
* NEW allow color by z value ("palette z") in 2D plots
* NEW "pause mouse close" waits until the plot window is closed
* FIX The documentation says that "set size ratio" is ignored in 3D. Make it so.
* FIX Do not re-quantize time tics interval explicitly set by user
* FIX (gd post) don't segfault on very long font names
* FIX allow variable color from input file for "with boxes", "with vectors"
* FIX don't run off the end of "set format" commands
* FIX Fix discontinuity in piecewise approximation of inverse error function
* FIX discard out of range vectors in the bitmap terminals (pbm, epson, etc)
* FIX 2nd colour in the colour box for negative palette in postscript
* FIX insure palette is initialized before any objects are drawn
* FIX wxt terminal was not obeying "set palette maxcolors"
* FIX Histograms did not correctly honor 'set style user increment'
* FIX Avoid segfault if tic labels are requested from a non-existent data column
* FIX emf terminal - allow fractional linewidth (fixes 0-length dash problem)
* FIX post terminal - fix parsing error for palfuncparam
* FIX post terminal - escape {} chars in enhanced text mode
* FIX clip "splot with labels" against plot boundaries in 2D mode
* CHANGE try harder to autotitle columns in using specs with expressions
* CHANGE gd.trm: use dynamically-allocated TTF font names
* CHANGE x11: more finely sampled color palette for PM3D
* CHANGE cgm: switch to using web_color_rgbs; approximate RGB colors
* CHANGE fig: more point types, 4.2-style font and size syntax for "set term"
* CHANGE emf: separate dashlength option (don't use linewidth for dashlength)
* CHANGE stacked histograms grow upward for values > 0, downward for values < 0
* CHANGE 'pause mouse button1' (or button2) does not disable zooming
* CHANGE built-in readline tries to recognize <home> and <end> keys

New features, changes and fixes in gnuplot version 4.2.3
===========================================================
* NEW options front and back to "set colorbox"
* NEW character encoding support for emf and pdf terminals
* NEW "format" keyword for "set tics" and "set {x|y|...}tics"
* NEW allow user to set colorbar label rotatation if the bar is vertical
* FIX allow tic format to be given as a string variable
* FIX handling of negative screen coordinates on ia64, PPC
* FIX coloring of hidden surfaces if drawn with line styles
* FIX direction of y axis in graph coords for "set view map"
* FIX minitics in log scale
* FIX minor bugfixes to terminals fig, emf, post, svg, x11
* FIX cgm terminal now produces correct pm3d and pattern fill output
* FIX protect against overly long font names in gd, svg
* FIX infinite loop from x11 plot window resizing under ion, fluxbox
* FIX never estimate zero size for a non-empty string
* FIX discard degenerate polygons during hidden3d processing
* FIX segfault if replot is called while terminal type is unknown
* FIX segfault if locale obtained by getenv() is freed
* FIX discard axis ticks read from previous data file
* FIX Do not clip image against Z range in 3D splot with "set view map"
* FIX off-by-one error in implicit column 0 for binary data files
* FIX splot was trashing the default clipping boundaries for 2D plots
* CHANGE tweak installation scripts for OSX nt cyg dj2 mgw
* CHANGE install Xresource file as Gnuplot, not Gnuplot.app-defaults
* CHANGE Remove limitation of 10 args max to internal function sprintf()
* CHANGE Bring emf point types into conformity with other terminals
* CHANGE estimate the vertical space for rotated tick labels on x and x2 axes

New features, changes and fixes in gnuplot version 4.2.2
===========================================================
* FIX serious axis label bug in 4.2.1
* CHANGE apply fill style border color to candlesticks

New features, changes and fixes in gnuplot version 4.2.1
===========================================================
* NEW allow extra column in 2D plots containing color information
* NEW set term latex {size XX,YY}
* FIX buffering of very long input lines
* FIX clipping of image data against plot boundary
* FIX polygon clipping bugs
* FIX key sample for plots with variable color
* FIX wxt initialization on non-gnu systems
* FIX escape sequence %% handling in sprintf() format strings
* FIX Apply "set style incr user" to 3D contours and to columnstacked histograms
* FIX Apply "set key {no}enhanced" to key titles read from a file
* FIX Allow string variable as filename for "fit via <filename>"
* CHANGE defer x11 initialization
* CHANGE clean up configuration files for amg, cyg, mgw, dj2
* CHANGE modify SVG output to accommodate non-compliant viewers
* CHANGE allow 'strcol()' as shorthand for 'stringcolumn()'
* CHANGE default to "blacktext" for TeX-based PostScript variants

New features, changes and fixes in gnuplot version 4.2.0
=========================================================
* NEW autogenerated read-only variables prefixed GPVAL_ and "show variables all"
* NEW Japanese language documentation - FAQ and User Manual
* NEW multi-platform and interactive wxWidgets terminal
* NEW windows terminal supports enhanced text mode
* NEW support for placement of individual rectangles within plot or canvas
* NEW command "set style increment user" allows customization of default lines
* NEW commands raise and lower
* NEW y and y2 axis label rotation can be explicitly controlled (2D plots only)
* NEW {no}enhanced flag can be applied to individual labels
* NEW suboption 'set pm3d interpolate' for bilinear interpolation of surfaces
* NEW 3D plots can read RGB color triples as part of input data
* NEW write command history file also for gnuplot's readline
* NEW more versatile key placement and arrangement
* NEW 'splot x*y with pm3d' no longer requires prior 'set pm3d'
* NEW store a sequence of plots to an animated gif (requires libgd > 2.0.28)
* NEW multi-byte font support in x11, controlled by the locale setting LC_CTYPE
* NEW control decimal sign conventions using locale setting LC_NUMERIC
* NEW pstex, pslatex and epslatex terminals share functionality with postscript
* NEW suboptions "set pm3d corners2color min|max"
* NEW suboption  "set pm3d depthorder" does hidden-surface removal (sort of)
* NEW linetype colors via "lt {palette {frac <val> | cb <val>}}"
* NEW linetype colors via "lt {rgbcolor {"name" | "#RRGGBB"}}"
* NEW palette and rgb linetype colors apply to all 2D and 3D plot elements
* NEW user defined variables can contain strings
* NEW expression evaluation can manipulate and return strings
* NEW built-in string functions sprintf, gprintf, substr, strstrt, word, words
* NEW built-in string function system("shell command")
* NEW command line macro expansion   @<stringvariablename>
* NEW automatic variable $# expanded to number of arguments after "call"
* NEW reading of (almost) arbitrary image binary files
* NEW plot styles "with image" and "with rgbimage"
* NEW plot style "with labels" reads text data along with X/Y/Z coordinates
* NEW plot style "with histograms" creates clustered or stacked histograms
* NEW auto-layout of multiplot using "set multiplot layout <rows>, <cols>"
* NEW variant of plot "with filledcurves" that fills the area between two curves
* NEW variant of "with filledcurves" that fills only above or below the curve
* NEW using options {x|y|z}ticlabels(<col>)
* NEW option to read plot title from data file: set key autotitle columnheader
* NEW command 'set termoption <foo>' changes single property of current terminal
* NEW png driver supports antialiasing and TrueColor images
* NEW encoding koi8-u
* NEW plot style "with vectors" applies to both 2D and 3D plots
* NEW plot style "with points" can read variable point size from input file
* NEW "set tics" can change most settings for {x|y|z|cb}tics at once
* NEW tic scale can be set per axis using "set {x|y|z|cb}tics scale"
* CHANGE history file is written by default
* CHANGE PostScript prolog and character encoding files now maintained separately
* CHANGE Placement of z-axis label in 3D plots is now equivalent to x and y axes
* CHANGE "set ticsscale" is deprecated, use "set tics scale" instead
* CHANGE gnuplot on x11 has mousing always enabled on startup
* CHANGE 'set datafile fortran' is now required in order to read D or Q constants
* CHANGE let the string in '{s}plot ... notitle "string"' be silently ignored
* CHANGE libgd versions 2.0.28+ support GIF images as well as PNG/JPEG
* CHANGE remove old (non-libgd) GIF and PNG drivers
* CHANGE X-resource gnuplot*ctrlq:on requires <ctrl>q to kill plot window
* CHANGE X-resource gnuplot*exportselection:off disables plot->clipboard export
* CHANGE prefer use of offset keyword in 'set [xyz]label "foo" offset -1,-1'
* CHANGE 'set table "outfile"; ...; unset table' replaces 'set term table'
* CHANGE 'defined(foo)' is deprecated; new syntax is 'exists("foo")'
* FIXED empty datafiles are not a fatal error
* FIXED setenv GNUTERM now works for png, jpeg, and gif drivers
* FIXED PostScript output can be restricted to Level 1 compatible features
* FIXED emf output is compatible with MSWin XP SP 2
* FIXED limit size of X11 requests to half the maximum allowed by the X display
* FIXED arrowheads drawn in solid lines even if the shaft is dotted (PostScript)
* FIXED estimate true effective length of strings in enhanced text mode
* FIXED clipping of filled curves


Changes between gnuplot versions 3.7.2 and 4.0
==============================================

Below you find list of news, changes and fixes in gnuplot version 4.0
and older.

Please see also section "What is New in Version 4.0" in gnuplot documentation
(files gnuplot.gih, gnuplot.hlp, gnuplot.inf, etc.) available by the command
    gnuplot> help new
from gnuplot 4.0. You may find it also in files gnuplot.pdf, gnuplot.html
or gnuplot.info optionally available in your distribution, or online at
    http://www.gnuplot.info/docs/gnuplot.html#What_is_New_in_Version_4.0


Mouse and hotkey support in screen terminals

  The pm, x11, ggi and windows terminals support interactive work with mouse
  and hotkeys. The usage of the mouse is mainly self-explanatory. Just type 'h'
  in the graph window (hereafter we mean either PM, X11, ... terminal window)
  and a short overview of commands will pop up. The mouse is turned on and off
  with the hotkey 'm'. See 'help mouse' and 'help bind' for more details.

  The coordinates of mouse clicks are exported to variables MOUSE_X, MOUSE_Y,
  MOUSE_X2, MOUSE_Y2, and MOUSE_BUTTON accessible from the gnuplot command
  line. This allows gnuplot scripts to alter their behaviour based on
  interactive mouse input. See 'help mouse variables' and 'help pause mouse',
  and the example script demo/mousevariables.dem. Further it allows interaction
  of a gnuplot mouseable terminal and external programs in C, Python, Octave,
  etc. using gnuplot as their graph engine. This is demonstrated on gnuplot web
  page in section "Programming interfaces - bidirectional interaction".


Brief list of news in gnuplot 4.0:

* CHANGE sample calculated "smooth csplines" only in actual xrange
* CHANGE 'set term gif' compile-time option to write PNG format instead
* CHANGE pattern fill styles are uniform across all supporting terminals
* CHANGE X-window plot and font size is used to adjust plot layout
* CHANGE 'set key {on|off|default}' is preferred method for controlling key
* CHANGE mouse position is tracked in all X windows (not just current one)
* NEW enhanced text mode for additional terminal types
* NEW built-in function 'defined(<variablename>)'
* NEW mouse input information is exported to user-accessible variables
* NEW 'set term png' and 'set term jpeg' using modern GD library
* NEW set size ratio now works for splots, too
* NEW grid options: {layerdefault | front | back}
* NEW plot option "smooth frequency"
* NEW terminal names now sorted alphabetically
* NEW "with palette" also for points
* NEW plotstyle "with filledcurves"
* NEW 'set style fill' applies to boxes, boxxyerror, boxerror, candlesticks
* NEW "set boxwidth <number> relative"
* NEW options to FIG terminal driver
* NEW parse errors in datafile reading now show the culprit
* NEW labels can be printed attached to a point
* FIXED interaction of "set xtics <incr>"  with time/date axes
* FIXED candlesticks now ignore order of high/low entries
* FIXED keeping old arrow options if new "set" command modifies it
* FIXED undoing a mouse zoom that started from autoscaled axis
* FIXED contour line colours in pm3d's "with palette" mode
* FIXED PostScript stack pollution caused by "Symbol Oblique" patch
* FIXED warnings from perl -w in tkcanvas terminal output
* FIXED dgrid3d floating point exception
* FIXED logscaled colorbox axis
* FIXED pgnuplot for Windows NT/2K/XP


Time-organized list of news until gnuplot 4.0:

[3.8k]
* NEW let gnuplot on windows support -persist option
* NEW encoding koi8-r
* NEW 'set term x11 title "title"' and 'set term x11 close'
* NEW 'test palette'
* NEW 'set palette palette <n>' options {float|int} and output to that of
  'set print'
* NEW enhanced text mode for x11 gd pdf and dumb terminals
* UPDATED aquaterm terminal driver (Mac OS X). Requires AquaTerm 1.0 or later.

[3.8j]
* NEW 'show palette fit2rgbformulae'
* NEW 'set datafile commentschars {"<chars>"}'
* NEW 'set datafile separator {whitespace | "<char>"}'
* CHANGE terminal provided by openstep is called "openstep", not "next"
* CHANGE terminal provided by gnugraph is called "gnugraph", not "unixplot"
* NEW pm3d option corners2color
* NEW PM3D support for pstricks terminal
* NEW configure option --with-gihdir to specify location of .gih file
* NEW aquaterm terminal driver, for MacOS X

[3.8i]
* NEW 'set style arrow' and back angles for arrow heads.
* NEW option 'set view map'
* NEW encapsulate PFA, PFB, TTF font file definitions into postscript files:
  option `set terminal postscript ... fontfile`
* NEW command 'set fontfile'
* NEW color modes for pm3d, see `help palette`
* NEW option `set terminal postscript ... palfuncparam`
* NEW set key {no}autotitles
* NEW arbitrary text rotations; 'set label ... [no]rotate [by] ...'
* NEW set arrow ... filled | nofilled ...
* NEW set title ... textcolor ...
* NEW set [x|y|z|cb|...]label ... textcolor ...
* NEW set label ... textcolor ...
* NEW show plot add2history
* NEW explicit coloring of splots ... with lines|points palette according to
  the 4th column in the data file
* NEW pm3d option {no}ftriangles
* NEW splot ... with pm3d {at option}
* CHANGE pause supports subsecond time resolution (on systems supporting it)
* CHANGE "configure --with-x11-driver" and "set term x11 driver" removed.
* CHANGE gnuplot_x11 now goes to $pkglibdir/$version, not $bindir
* NEW environment variable GNUPLOT_DRIVER_DIR to override that path
* NEW set log cb - since now, z and cb axes are completely independent
* NEW set decimalsign
* NEW set key {no}enhanced
* NEW pm3d splots support independent z and color coordinates according to an
  optional 4th column of using
* NEW X11 can rotate text

[3.8h]
* NEW set key height <height>

[3.8g]
* CHANGE set label with any line type (colour), point type and point size
* CHANGE use either two or five minitic steps, never 4 (in logscale)
* CHANGE reject candlesticks/financebars plots of to few colums --- warn
  and then plot with "points", instead
* NEW Hotkeys to access clipboard in MS Windows version
* NEW set style [data | function] filledcurves {options}
      plot ... with filledcurves {options}
* NEW autoscale options: `fix`, `keepfix`
* NEW some more fancy 3D demo plots
* NEW mouse support and PM3D are now enabled by default
* NEW more point symbol types in Windows terminal
* FIXED PostScript font reencoding for non-default fonts
* FIXED dgrid for logscaled axes
* FIXED tic generation for axes that have |min/max| very close to 1
* FIXED several "impossible" parse erros in "show" command.
* FIXED bounding box of PSLatex generated .eps files
* (attempted) FIX: X11 deadlocks caused by stdio buffering vs. select()
* FIXED baseline of "histeps" plots with logscaled or shifted y axis.
* FIXED document spherical coordinates by reference to latitude/longitude
* FIXED warn about missing HOME directory only in interactive mode
* FIXED tpic terminal coordinate handling

[3.8f]
* NEW pipes under Windows (if compiled by MingW)
* NEW PDF terminal driver --- needs PDFlib
* NEW SVG terminal driver
* NEW epslatex & EMF terminal drivers now always built in
* NEW PM3D support for CGM, GGI and tgif terminals
* NEW PM3D "set palette maxcolors" support for X11 and PostScript
* NEW special maths function lambertw()
* NEW axis for the color box
* NEW encodings ISO-8859-2 and CP-852 for PostScript terminal
* NEW PM terminal uses codepage 912 for	iso_8859_2 encoding
* NEW "index" option for "matrix" type datafiles
* NEW commands 'set term push' and 'set term pop'
* NEW much extended EEPIC terminal driver
* NEW implement "clear" for Windows and OS/2
* NEW option "picsize" for PNG terminal
* NEW mouse support for MS Windows
* FIXED endless loop if both 'set timefmt' & 'set xtics <incr>'
* FIXED detection of too new gd library without GIF support
* FIXED interaction of autoscaling and "set size ratio"
* FIXED PM3D allocated too many colors for multiplots
* FIXED key sample line types in contour plots
* FIXED timefmt parsing of "01Dec2000" vs. Fortran doubles
* FIXED MS Windows pause box eating 100% CPU
* FIXED ooold problem with HP-UX GCC breaking tic positioning
* FIXED positioning of multiplots
* FIXED correct rounding of exponents for %[SLT] --- needs %s to come first
* FIXED ticmarks for very short axes (max - min < DBL_EPS)
* FIXED "show ticslevel" and "show ticscale"
* FIXED parse errors after "set xdata time"
* FIXED MSDOS file corruption if re-opening same "set output"
* FIXED reject many-column plot styles when plotting a function

[3.8e]
* NEW Major new feature "pm3d" for color plotting (formerly a branch version)
* NEW set label can print numbers into the label text
* NEW hidden3d allows non-grid datasets to be part of the plot
* NEW hidden3d works with contour lines
* NEW overprinting feature for PostScript revised
* NEW Windows terminal now has linewidth support from inside gnuplot
* NEW table terminal will output additional colums some plot styles
* FIXED hidden3d display of tics and axes

[3.8d]
* NEW <Space> in Windows graph window beams focus to text window
* NEW point sample and offset options for "set label" 
* NEW relative endpoints and choosable head shapes for "set arrow"
* NEW interactive inline data input now has a prompt
* NEW terminal driver epslatex --- like pslatex
* NEW terminal driver GGI
* NEW experimental driver for Enhanced Metafile Format (EMF)
* NEW %s timefmt for reading seconds since the epoch
* FIXED Pslatex actually changes the fontsize
* FIXED PSTRICKS and EEPIC bounding box
* FIXED output of filenames in enhanced-text terminals
* FIXED reading of ~/.Xdefaults
* FIXED block mouse-generated replot if inline data in use
* FIXED 3D clipping of "key below" or "outside" samples
* FIXED zeroaxes bug introduced by vector clipping
* FIXED bug with "smooth unique" inrange/outrange conditions
* FIXED autoscale writeback bug (see BUGS entry 3)
* FIXED png parser bug
* FIXED buggy `show m[xyz][2]tics' command
* FIXED bug in `show key' if key is boxed
* FIXED building on VMS
* FIXED bug in 3d plot introduced by mouse code 
* terminal-dependent configuration of GNU readline
* updated FIG terminal driver to new file format version

CGM terminal mods:
* NEW: files are now compliant with MIL-D-28003A.
* NEW: Standard font table now includes the standard WebCGM fonts and
  the Hershey fonts.  Gnuplot knows the widths of the standard fonts.
  Default font is now "Helvetica Bold".  New fonts can be added to the
  table without deleting the standard ones.
* NEW: open markers.  yellow removed due to poor visibility.  Orange
  and gray added.  User can specify new line colors.
* UPDATE: "winword6" option is now just a deprecated synonym for
  "nofontlist".
* FIXED: Font height handling (e.g. crowded keys)
* FIXED: "solid" option.
* FIXED: linewidth changes were sometimes applied to the wrong lines.

[3.8c]
* NEW mouse support for OS/2 and X11
  - --enable-mouse option
  - --with-X11-driver option
  - new commands "bind", "set historysize", "set mouse",
    and "set label [no]pointstyle".
* NEW configure.vms script for VMS
* NEW oblique symbol font for ps driver
* NEW introduce pipe for load command gnuplot> load "< ...".
* FIXED typo in save xrange
* FIXED defunct 'unset [xyz]tics' commands
* FIXED segfault in pslatex driver
* FIXED crash in OS/2 REXX code
* FIXED crash in fit code
* FIXED bug in 3d plot size after setting nokey
* FIXED bug in postscript epsf option
* don't put pslatex's postscript code into preamble, as this will
  only use the settings for the last picture if several pictures
  are present
* the results of unset border and unset clabel are different
  from reset

[3.8b]
* retain backwards compatibility for old syntax
* ongoing work: modularisation
* NEW, improved version of hidden3d code
* --enable-history configure option renamed to --enable-history-file
  to avoid mixup with new 'history' command
* fix to find gethostbyname(3) on LynxOS
* added new implementation of hidden3d code
* FIXED png driver now shares web-friendly palette with gif driver;
  also new transparency option and user defined colour specs
* FIXED data format for table driver
* FIXED monochrome plots with Windows driver
* FIXED bug in contour handling
* FIXED clipping of contour input points outside fixed ranges
* FIXED bug in coordinates saving
* history command now works with GNU readline
* implemented vector style clipping for 2D plots
* UPDATED gnugraph driver now requires plotutils 2.2+
* UPDATED platform makefileS
* UPDATED hpgl driver
* UPDATED FAQ

[3.8a]
* doc2texi.el, gnuplot.texi added; remove doc2info.c,
  doc2html.c, doc2texi.pl, and fixinfo.el; the info
  and html files are now created with makeinfo, the
  latter requires makeinfo (GNU texinfo) 4.0
* FIXED the 'set ?range' commands now use a decimal point
  to prevent integer overflow on 16 bit platforms
* FIXED 'save'd files are now consistent with the new syntax

[3.7.0.10 - internal only]
* removed DJGPP version 1 support
* improved version of stdin wrapper for Win32
* ongoing work: rewrite of input parser
* gnuplot now passes the correct return value back to
  the environment
* FIXED buffering bug in gnuplot_x11
* FIXED crash in 16bit Windows
* FAQ updated
* FIXED some inconsistencies in error messages and the manual
* INCOMPATIBLE CHANGE: the 'set data style', 'set function style'
  and 'set linestyle' commands have been removed. They have been
  replaced with 'set style data|function|line'. The 'set nolinestyle'
  command, however, is still available for the time being.
* NEW 'system', 'unset' command
* INCOMPATIBLE CHANGE: all 'set noVariable' commands have been
  replaced with the new 'unset Variable' command.
* NEW 'save term' option
* FIXED building on NeXT
* NEW 'history' command, by Petr Mikulik. Currently works only
  without GNU readline.
* FIXED gnuplot now checks for minimum and maximum of required columns
  in data plots
* UPDATED VMS build procedures
* gnuplot-mode updated to 0.5j
* FIXED reversed 'set {x|y}zeroaxis' behaviour
* FIXED plotting of test page before line properties are specified completely
* UPDATED metapost driver
* better modularisation

[3.7.0.9]
* moved some declarations to new header files
* more static arrays removed or replaced with malloc'd storage
* duplicate functions removed
* driver for OpenStep/MacOS X server now complete
* FIXED bug in plot positioning with multiplot
* FIXED bug in J. Pepin's layers patch
* FIXED bug in M. Gardner's help formatting patch
* FIXED definition of ANSI_C on autoconf platforms
* FIXED argument passing to gnuplot_x11 on VMS
* NEW `save' command now accepts "-" as filename, "saving" to stdout
* INCOMPATIBLE CHANGE: "%y" date specifiers are now interpreted according
  the recommendations of The Open Group. When a century is not otherwise
  specified, values in the range 69-99 refer to the twentieth century and
  values in the range 00-68 refer to the twenty-first century.

[3.7.0.8]
* embedding document font is now default font in latex output
* static limits for user defined function and variable names removed
* 'make check' now passes GNUTERM from the command line to gnuplot.
* FIXED off-by-one error in gif driver y-scaling
* gnuplot-mode updated to 0.5g
* FIXED errors in 'set view <z_scale>'. Related demos have
  been updated too.
* src directory now uses automake Makefile
* #error and #warning directives have been removed.
* more efficient way of building docs/allterm.h
* FIXED auxiliary ps filename generation in pslatex driver

[3.7.0.7]
* FIXED timestamp positioning problem in X11 terminal
* FIXED exit/quit in batch files now works as documented
* FIXED 'replot' with no args does not discard rest of
  ';' separated command line anymore
* no more fixed limit to the number of contour levels,
  now allocated dynamically
* improvements in the OS/2 mouse driver
* backtic command substitution now works inside quoted strings
* NEW driver for metapost output
* NEW driver for openstep/MacOS X Server
* NEW perltk driver integrated into tkcanvas driver
* NEW loadpath feature, uses GNUPLOT_LIB env var
  see 'help environment' and 'help loadpath'
* updated to version 0.5f of gnuplot-mode
* CHANGE in command line substitution:
  Newlines in the output produced by the spawned command are
  stripped. They are NOT replaced with blanks anymore. This is
  a possible source of incompatibility.
* CHANGE gnuplot's error and warning functions now accept a
  variable number of arguments. On platforms without vfprintf
  or doprnt, the number of format-dependent arguments is
  limited to 8.

[3.7.0.6]
* Petr Mikulik's OS/2 mouse patch integrated
* 'make check' now runs demos non-interactively
* Linux SVGA driver: don't drop root priviledge until VGA is initialised
* LaTeX tutorial updated for LaTeX2e
* gnuplot-mode updated to 0.5e
* old patches for postscript driver integrated:
  different colours for key text and sample (blacktext),
  linewidth, dashlength options
* extensions to tkcanvas driver
* fixes in fig and metafont drivers
* bugfixes related to secondary axes (show/nologscale)
* new '--without-lisp-files' and '--without-tutorial' configure options
* new targets to build documentation with groff
* quoting bug fixed 
* new files VERSION, PATCHLEVEL, README.exp

[3.7.0.5]
* another off-by-one error fixed in pstricks driver
* updated to latest version of gnuplot-mode
* added tilde-expansion of filenames
* win/pgnuplot.c added, stdin redirection for gnuplot
  under Windows
* extended interactive Tk/Tcl capabilities
* only read from stdin if the complete filename is "-"
* added fitting of time format data
* workaround for the bug that made 'set key below' sometimes
  lack some of the key texts
* build lisp files, LaTeX tutorial only if emacs, latex, resp.
  are found
* moved CVS repository to new dir structure
* gnuplot can now be compiled with GNU libplot 2.2
* docs/doc2hlp.com renamed to docs/doc2hlp.vms pending better solution

[3.7.0.4]
* switched to new directory structure!
* fix to plot all lines in multiline labels within plot borders
* hardwire terminal sources into docs/Makefile.in
* better docs for 'set missing'
* hopefully complete fix for off-by-one error in pslatex driver
* fix core dump in alloc.c (only relevant for memory debugging)

[3.7.0.3] (released as patch only)
* brush up the various platform makefiles
* typo in plot.c free() statement fixed
* some fixes in the Be driver

[3.7.0.2]
* add pgp keys
* NEW driver for BeOS
* X11 driver now uses ececvp() instead of execl()
  to eliminate intermediate shell process
* NEW gnuplot-mode.el for X/Emacs
* update to OS/2 REXX interface
* more drivers enabled by default under OS/2
* Bezier interpolation rewritten to prevent overflow
* Windows linestyle fixed
* introduce layers (front, back) for labels and arrows
* tiny and giant fonts added to gif driver
* tilde expansion; (does not work for "cd" and "set output")
* GNU readline related:
    new syntax for --with-readline option in configure
    no more duplicate history entries
    use gnuplot history file
* SECURITY: --with-linux-vga=no is now default
* SECURITY: better control when Linux executable with
  SVGAlib access actually runs as root
* SECURITY: potential risk fixed in iris4d terminal
* EXPERIMENTAL: new --enable-thin-splines option in configure
  to enable thin plate splines in plot3d.c
* configuration: --enable-apollo, --enable-gpr and --enable-unixpc
  options removed, related code is now in syscfg.h.
  --enable-cgi and --enable-sun options removed, now automatically
  detected at configure time. --enable-system-time option removed.

[3.7.0.1]
* bug fix for negative aspect ratio
* bug fixes in the cgm, eepic, png, and pslatex driver
* bug fix in the data fitting code
* bug fixes for HP-UX, NEXT, and Windows
* bug fixes for save and set lmargin commands
* better makefile for Amiga SAS/c
